VisimBox 1.0 VisimBox 3d simulation and visualisation ToolBox

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Protected Attributes | Properties
VisimBuilder.Gizmo Class Reference

base class for gizmos More...

Inheritance diagram for VisimBuilder.Gizmo:

List of all members.

## Public Member Functions
| Gizmo (MainBuilderForm boss)
virtual void | CreateMaterial (IRenderContext irc)
virtual void | Render (IRenderContext irc)
virtual void | SetTransform ()
abstract void | MyRender (IRenderContext irc)
virtual bool | MouseMove (float deltax, float deltay, Ray ray)
abstract void | MyMove (float dist, Vector3 origo)
virtual bool | MouseHover (Ray ray)
virtual bool | MouseUp (Ray ray)
virtual void | UpdateMyRay (Ray ray)
virtual bool | MouseDown (Ray ray)
## Public Attributes
bool | InLocalCoords = false
bool | Dragging = false
int | SelectedPart
## Protected Attributes
MainBuilderForm | Boss
Matrix4 | targettrans = new Matrix4()
Matrix4 | mytrans = Matrix4.Identitity
Matrix4 | myinverted = Matrix4.Identitity
IRenderMaterial | material
Ray | MyPickingRay
## Properties
float | MoveSpeed`[get, set]`
| Movement speed modifier for mouse movement.

## Detailed Description

base class for gizmos

## Constructor & Destructor Documentation

VisimBuilder.Gizmo.Gizmo | ( | MainBuilderForm | boss | ) |

## Member Function Documentation

virtual void VisimBuilder.Gizmo.CreateMaterial | ( | IRenderContext | irc | ) | `[virtual]`

virtual bool VisimBuilder.Gizmo.MouseDown | ( | Ray | ray | ) | `[virtual]`

virtual bool VisimBuilder.Gizmo.MouseHover | ( | Ray | ray | ) | `[virtual]`

Reimplemented in VisimBuilder.MoveGizmo.

virtual bool VisimBuilder.Gizmo.MouseMove | ( | float | deltax,
|  | float | deltay,
|  | Ray | ray
| ) |  | `[virtual]`

virtual bool VisimBuilder.Gizmo.MouseUp | ( | Ray | ray | ) | `[virtual]`

abstract void VisimBuilder.Gizmo.MyMove | ( | float | dist,
|  | Vector3 | origo
| ) |  | `[pure virtual]`

Implemented in VisimBuilder.MoveGizmo.

abstract void VisimBuilder.Gizmo.MyRender | ( | IRenderContext | irc | ) | `[pure virtual]`

Implemented in VisimBuilder.MoveGizmo.

virtual void VisimBuilder.Gizmo.Render | ( | IRenderContext | irc | ) | `[virtual]`

virtual void VisimBuilder.Gizmo.SetTransform | ( |  | ) | `[virtual]`

virtual void VisimBuilder.Gizmo.UpdateMyRay | ( | Ray | ray | ) | `[virtual]`

## Member Data Documentation

MainBuilderForm VisimBuilder.Gizmo.Boss`[protected]`

bool VisimBuilder.Gizmo.Dragging = false

bool VisimBuilder.Gizmo.InLocalCoords = false

IRenderMaterial VisimBuilder.Gizmo.material`[protected]`

Matrix4 VisimBuilder.Gizmo.myinverted = Matrix4.Identitity`[protected]`

Ray VisimBuilder.Gizmo.MyPickingRay`[protected]`

Matrix4 VisimBuilder.Gizmo.mytrans = Matrix4.Identitity`[protected]`

int VisimBuilder.Gizmo.SelectedPart

Matrix4 VisimBuilder.Gizmo.targettrans = new Matrix4()`[protected]`

## Property Documentation

float VisimBuilder.Gizmo.MoveSpeed`[get, set]`

Movement speed modifier for mouse movement.

The documentation for this class was generated from the following file:

- Gizmo.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events